#pragma once

#include "CoreMinimal.h"
#include "EStoreMainRecommendationBundleType.h"
#include "StoreFeaturedRecommendationBundleEntryEditorData.generated.h"

USTRUCT(BlueprintType)
struct FStoreFeaturedRecommendationBundleEntryEditorData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	EStoreMainRecommendationBundleType Type;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ChapterPackId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString SpecialPackId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString CrossPromotionId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString CollectionId;

public:
	DEADBYDAYLIGHT_API FStoreFeaturedRecommendationBundleEntryEditorData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreFeaturedRecommendationBundleEntryEditorData) { return 0; }
